pub mod uci;
pub mod bitboard;
pub mod movegen;
pub mod engine;
pub mod board;
pub mod evaluate;
pub mod search;
pub mod zobrist;
pub mod ttable;
pub mod settings;
pub mod magic;

extern crate log;
extern crate simplelog;
extern crate rand;
extern crate static_assertions;

use engine::Engine;


fn main() {
    let mut engine = Engine::new();
    engine.run();
}


